QGIS Application - Feature request #15607
Add an option to filter list of available layers in Layer Styling panel
2016-09-22 07:12 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee: Nathan Woodrow

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 23530
Description

When the project grows and you have a lot of layers in the project, using the drop-down list from the layer styling panel is not very
user-friendly.

As in a project, one may have to often work on some layers styling and less on other layers, it could be handy to have ability to define the
list of layers that might be shown in the Styling panel. This list can be picked from the Project properties --> Identify layers (to be
renamed?) tab, through a column in which user checks/unchecks which layer might be listed in the panel or not. One can therefore better
handle/filter the list in the styling panel, regardless how big is the project.

History

#1 - 2017-01-19 06:05 AM - Regis Haubourg

+1 I'd be pleased to have that search feature too

#2 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No
